Subject: [dhcwg] I-D ACTION:draft-ietf-dhc-timezone-option-01.txt

From: [email-masked]
Date: Wed, 07 Jun 2006 15:50:01 -0400

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Dynamic Host Configuration Working Group of the IETF.

	Title		: A Timezone Option for DHCP
	Author(s)	: E. Lear, P. Eggert
	Filename	: draft-ietf-dhc-timezone-option-01.txt
	Pages		: 11
	Date		: 2006-6-7
	
DHCP defines an option for a server to deliver to a client offset
from UTC.  This information in and of itself is not sufficient for
devices to portray local time both accurately and consistently.  This
memo specifies new options for both DHCPv4 and DHCPv6 to do so.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-dhc-timezone-option-01.txt

To remove yourself from the I-D Announcement list, send a message to 
[email-masked] with the word unsubscribe in the body of the message.  
You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce 
to change your subscription settings.

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-ietf-dhc-timezone-option-01.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-ietf-dhc-timezone-option-01.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.
_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg

---

From: Amy <[email-masked]>
Date: Thu, 08 Jun 2006 14:02:10 +0800

Hi

    I have some questions:
    1. If the client supports TZ-Database String option or TZ-Microsoft
Index option, it need to have a copy of the TZ Database or Miscrosoft TZ
Database? Does it need to update the database?To use the timezone
information, does the client need to query the database ?  If the client
is not able to connect to the Internet, how does it get the database
copy and how does it update the database?
	
    2.If the client is not able to update the database in time, can you
sure  the timezone information that the client gets must be correct?

    Please forgive me -- I am unfamiliar with timezone.         

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] 
> Sent: Thursday, June 08, 2006 3:50 AM
> To: [email-masked]
> Cc: [email-masked]
> Subject: [dhcwg] I-D ACTION:draft-ietf-dhc-timezone-option-01.txt
> 
> 
> A New Internet-Draft is available from the on-line 
> Internet-Drafts directories. This draft is a work item of the 
> Dynamic Host Configuration Working Group of the IETF.
> 
> DHCP defines an option for a server to deliver to a client 
> offset from UTC.  This information in and of itself is not 
> sufficient for devices to portray local time both accurately 
> and consistently.  This memo specifies new options for both 
> DHCPv4 and DHCPv6 to do so.
> 
http://www.ietf.org/internet-drafts/draft-ietf-dhc-timezone-option-01.tx
t

To remove yourself from the I-D Announcement list, send a message to 
[email-masked] with the word unsubscribe in the body of
the message.  
You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce 
to change your subscription settings.

Internet-Drafts are also available by anonymous FTP. Login with the
username "anonymous" and a password of your e-mail address. After
logging in, type "cd internet-drafts" and then
	"get draft-ietf-dhc-timezone-option-01.txt".

Send a message to:
	[email-masked].
In the body type:
	
	a MIME-compliant mail reader.  Different MIME-compliant mail
readers

---

From: Eliot Lear <[email-masked]>
Date: Thu, 08 Jun 2006 08:53:13 +0200

Hello Amy,

> copy and how does it update the database?

Of course, to start with a client would not request the option if it
doesn't have access to or support the appropriate database.  The
databases themselves are typically kept up to date by platform vendors. 
Those updates can occur over any media.
> sure  the timezone information that the client gets must be correct?

No.  In such cases a platform developer should strongly consider POSIX
1003.1 TZ strings.

Eliot

---

From: Amy <[email-masked]>
Date: Fri, 09 Jun 2006 10:03:10 +0800

Hello, Lear
   Thanks for your answer.

   I have another question:  
   Querying the databast to get the correct information, it is the
client's responsibility, isn't it?  Could you tell me Why it isn't the
server's responsibility? 
   The server is able to have a copy of database and update the database
in time, and get the correct timezone information, it can transmit this
information to client. Why not do like this? Is there any reason for not
doing like this?

> From: Eliot Lear [mailto:[email-masked]] 
> Sent: Thursday, June 08, 2006 2:53 PM
> To: Amy
> Cc: [email-masked]
> Subject: Re: [dhcwg] I-D ACTION:draft-ietf-dhc-timezone-option-01.txt
> 
> 
> Hello Amy,
> 
> Amy wrote:
> >     I have some questions:
> >     1. If the client supports TZ-Database String option or 
> > TZ-Microsoft Index option, it need to have a copy of the TZ 
> Database 
> > or Miscrosoft TZ Database? Does it need to update the 
> database?To use 
> > the timezone information, does the client need to query the 
> database ?  
> > If the client is not able to connect to the Internet, how 
> does it get 
> > the database copy and how does it update the database?
> >   
> 
> Of course, to start with a client would not request the 
> option if it doesn't have access to or support the 
> appropriate database.  The databases themselves are typically 
> kept up to date by platform vendors. 
> >     2.If the client is not able to update the database in time, can 
> > you sure  the timezone information that the client gets must be 
> > correct?
> >   
> 
> No.  In such cases a platform developer should strongly 
> consider POSIX 1003.1 TZ strings.
> 
> Eliot
>

---

From: Shane Kerr <[email-masked]>
Date: Fri, 09 Jun 2006 13:51:54 +0200

> information to client. Why not do like this? Is there any reason for not

If you look in the time zone database for South Australia, you see
different rules for:

2007
2006
1995-2005
1994
1993
1992
1991
1990
1986-1989
1973-1985
1972

There are lots of use cases where the old time zone changes might be
useful. For instance, if I want an directory listing to show proper
times of files from a few years ago, then my computer needs to know
about this historical information.

Each file in the time zone database seems to be at least a few hundred
bytes, with some being over a kilobyte... too much to include in the
DHCP protocol itself. It might make sense to provide information so a
client could download a file if is missing it, via TFTP or some other
method.

--
Shane